
/*
 * Include Files
 *
 */
#if defined(MATLAB_MEX_FILE)
#include "tmwtypes.h"
#include "simstruc_types.h"
#else
#include "rtwtypes.h"
#endif



/* %%%-SFUNWIZ_wrapper_includes_Changes_BEGIN --- EDIT HERE TO _END */
#include <math.h>
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\transformace.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\regulace.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\normovani.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\vektorove_rizeni.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\parametry.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\diferencial.h"
/* %%%-SFUNWIZ_wrapper_includes_Changes_END --- EDIT HERE TO _BEGIN */
#define u_width 3
#define y_width 1

/*
 * Create external references here.  
 *
 */
/* %%%-SFUNWIZ_wrapper_externs_Changes_BEGIN --- EDIT HERE TO _END */
/* extern double func(double a); */
/* %%%-SFUNWIZ_wrapper_externs_Changes_END --- EDIT HERE TO _BEGIN */

/*
 * Output function
 *
 */
void SRegulace2_Outputs_wrapper(const real32_T *I_abc_L,
			const real32_T *theta_L,
			const real32_T *omega_L,
			const real32_T *I_abc_R,
			const real32_T *theta_R,
			const real32_T *omega_R,
			const real32_T *Udc,
			const real32_T *Iq_pedal,
			const real32_T *delta,
			real32_T *mod_L,
			real32_T *mod_R)
{
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_BEGIN --- EDIT HERE TO _END */
static float w_vref; 
float omega_eds_w [2];

static float sum_Id_L;
static float sum_Iq_L;
static float sum_Urm_L;
static float sum_omega_L;

static float sum_Id_R;
static float sum_Iq_R;
static float sum_Urm_R;
static float sum_omega_R;
static float urm_L [2];
static float urm_R [2];

diferencial(omega_L[0], omega_R[0], delta[0], omega_eds_w, &w_vref);
vektorove_rizeni(Iq_pedal[0],omega_eds_w[0], I_abc_L[0], I_abc_L[1], I_abc_L[2], theta_L[0], omega_L[0], Udc[0], mod_L, &sum_Iq_L, &sum_Id_L, &sum_Urm_L, &sum_omega_L, urm_L);
vektorove_rizeni(Iq_pedal[0],omega_eds_w[1], I_abc_R[0], I_abc_R[1], I_abc_R[2], theta_R[0], omega_R[0], Udc[0], mod_R, &sum_Iq_R, &sum_Id_R, &sum_Urm_R, &sum_omega_R, urm_R);
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_END --- EDIT HERE TO _BEGIN */
}


