#include <math.h>
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\diferencial.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\parametry.h"

void diferencial(float omega_L, float omega_R, float delta, float *omega_eds_w, float *w_vref)
{
    float w_w;
    float dw;
    float wL_w;
    float wR_w;
    
    w_w=(3*omega_L + 3*omega_R)/2.0;
    dw= ((Dw*tan(delta))/Lw)*w_vref[0];
    
    wL_w= w_w + dw/2.0;
    wR_w= w_w - dw/2.0;
    
    omega_eds_w[0]=(1.0/3.0)*wL_w;
    omega_eds_w[1]=(1.0/3.0)*wR_w;
    
    w_vref[0] = (wL_w + wR_w)/2.0;
}




