#include <math.h>
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\transformace.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\regulace.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\normovani.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\vektorove_rizeni.h"
#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\parametry.h"





void vektorove_rizeni(float Iq_pedal,float omega_eds, float Ia, float Ib, float Ic, float theta, float omega, float Udc, float *mod, float *sum_Iq, float *sum_Id, float *sum_Urm, float *sum_omega, float *urm)
{      
    float I_albe [2];
    float I_dq [2];
    float I_dq_w [2];
    float IqOmega;
    float Iq_max;

    float U_albe [2];
    float U_dq_PI [2];
    float U_dq_FF [2];
    float U_dq [2];
    float U_abc [2];
    
    clarke(Ia, Ib, Ic,I_albe);
    park(I_albe[0],I_albe[1],theta,I_dq);
    
    I_dq_w[0]=PI_reg(0.95, urm[1], Kp_Urm, Ti_Urm, Id_min, Id_max, sum_Urm, dt);
    
    Iq_max=omezovac_Iq(Is_max, I_dq_w[0]);
    
    IqOmega=PI_reg(omega_eds, omega, Kp_omega, Ti_omega, -2*Iq_max, 2*Iq_max, sum_omega, dt);
    
    soucet_IqP_IqOmega(Iq_pedal, IqOmega, Iq_max, I_dq_w);
    
    U_dq_PI[0]=PI_reg(I_dq_w[0], I_dq[0], Kp_Id, Ti_Id, uMin, uMax, sum_Id, dt);
    U_dq_PI[1]=PI_reg(I_dq_w[1], I_dq[1], Kp_Iq, Ti_Iq, uMin, uMax, sum_Iq, dt);

    feedforward(I_dq_w[0], I_dq_w[1], omega, Rs, Ld, Lq, Psi, U_dq_FF);

    soucet_PI_FF(U_dq_PI[0], U_dq_PI[1], U_dq_FF[0], U_dq_FF[1], uMin, uMax, U_dq);

    invPark(U_dq[0], U_dq[1], theta, U_albe);
    invClarke(U_albe[0], U_albe[1], U_abc);
    
    Urm_filter(U_albe[0], U_albe[1], 0.02, urm);
    
    normovani(U_abc[0], U_abc[1], U_abc[2], Udc, mod);
}




